sealed vv7.0.7 Perl 5 v5.22.4 x86_64-linux-thread-multi-ld

Status
Na
From
Andreas J. K├Ânig (ANDK)
Dist
sealed vv7.0.7
Platform
Perl 5 v5.22.4 x86_64-linux-thread-multi-ld
Date
2024-06-01T03:42:06
ID
ea98d46a-1fc8-11ef-9e2f-12f075818125
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Joe Schaefer,

This is a computer-generated report for sealed-v7.0.7
on perl 5.22.4, created by CPAN-Reporter-1.2019.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/bin/perl Makefile.PL':

Checking if your kit is complete...
Looks good
Warning: Perl version 5.028000 or higher required. We run 5.022004.
Warning: prerequisite B::Generate 0 not found.
Generating a Unix-style Makefile
Writing Makefile for sealed
Writing MYMETA.yml and MYMETA.json

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.70


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    LANGUAGE = en_US:en
    PATH = /home/sand/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/perl/bin:/usr/X11/bin:/sbin:/usr/sbin
    PERL = /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-XlHR -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 698435
    PERL5_CPAN_IS_EXECUTING = /tmp/loop_over_bdir-781327-rEntJi/sealed-v7.0.7-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 698435
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/bin/zsh
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/bin/perl
    $UID/$EUID = 1005 / 1005
    $GID = 1005 1005
    $EGID = 1005 1005

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.34    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.70    
    ExtUtils::Install   2.22    
    ExtUtils::MakeMaker 7.70    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.51    
    File::Spec          3.75    
    JSON                4.10    
    JSON::PP            4.17_01 
    Module::Build       0.42_35 
    Module::Signature   0.88    
    Parse::CPAN::Meta   2.150010
    Test2               1.302195
    Test::Harness       3.44    
    Test::More          1.302195
    YAML                1.30    
    YAML::Syck          1.34    
    version             0.9929  


--

Summary of my perl5 (revision 5 version 22 subversion 4) configuration:
  Derived from: a26666a1317770d8a2228ac3657ba58020c3511f
  Platform:
    osname=linux, osvers=6.0.0-5-amd64, archname=x86_64-linux-thread-multi-ld
    uname='linux k93msid 6.0.0-5-amd64 #1 smp preempt_dynamic debian 6.0.10-2 (2022-12-01) x86_64 gnulinux '
    config_args='-Dprefix=/home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854 -Dmyhostname=k93msid -Dinstallusrbinperl=n -Uversiononly -Dusedevel -des -Ui_db -Dlibswanted=cl pthread socket inet nsl gdbm dbm malloc dl ld sun m crypt sec util c cposix posix ucb BSD gdbm_compat -Duseithreads -Duselongdouble -DEBUGGING=-g'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    use64bitint=define, use64bitall=define, uselongdouble=define
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2',
    optimize='-O2 -g',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='12.2.0', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='long double', nvsize=16, Off_t='off_t', lseeksize=8
    alignbytes=16, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /lib64 /usr/lib64
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=/lib/x86_64-linux-gnu/libc.so.6, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.36'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_NEW_COPY_ON_WRITE PERL_PRESERVE_IVUV
                        PERL_USE_DEVEL USE_64_BIT_ALL USE_64_BIT_INT
                        USE_ITHREADS USE_LARGE_FILES USE_LOCALE
                        USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_LONG_DOUBLE
                        USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API
  Locally applied patches:
	uncommitted-changes
  Built under linux
  Compiled at Jan 22 2023 08:42:56
  %ENV:
    PERL="/home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="698435"
    PERL5_CPAN_IS_EXECUTING="/tmp/loop_over_bdir-781327-rEntJi/sealed-v7.0.7-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="698435"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/lib/site_perl/5.22.4/x86_64-linux-thread-multi-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/lib/site_perl/5.22.4
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/lib/5.22.4/x86_64-linux-thread-multi-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.4/8854/lib/5.22.4
    .